petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDSGetType

Gets the PetscDS type name (as a string) from the object.

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetType(PetscDS prob, PetscDSType *name)

Not Collective Many br

### Input Parameter

prob -The PetscDS Many br

### Output Parameter

name -The PetscDS type name Many br

Many br

### Keywords

PetscDS, get, type, name

### See Also

PetscDSSetType(), PetscDSCreate()

Level:intermediate
Location:src/dm/dt/interface/dtds.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages